org.eclipse.ease.lang.python

## Class PythonCompletionContext

- java.lang.Object
- - org.eclipse.ease.ui.completion.CompletionContext
  - - org.eclipse.ease.lang.python.PythonCompletionContext

All Implemented Interfaces:
  ICompletionContext

    public class PythonCompletionContext
    extends CompletionContext

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ease.ui.completion.CompletionContext

`CompletionContext.Bracket`

### Nested classes/interfaces inherited from interface org.eclipse.ease.ICompletionContext

`ICompletionContext.Type`

### Constructor Summary

Constructors
Constructor and Description
`PythonCompletionContext(IScriptEngine scriptEngine)`

### Method Summary

### Methods inherited from class org.eclipse.ease.ui.completion.CompletionContext

`calculateContext, getCaller, getFilter, getIncludedResources, getLoadedModules, getOffset, getOriginalCode, getPackage, getParameterOffset, getProcessedCode, getReferredClazz, getResource, getScriptEngine, getScriptType, getSelectionRange, getType, replaceStringLiterals`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PythonCompletionContext

    public PythonCompletionContext(IScriptEngine scriptEngine)